Subject: bug#4473: after-load-functions: files are not absolute, some are missed

From: Juanma Barranquero <[email-masked]>
Date: Fri, 18 Sep 2009 01:38:42 +0200

On Fri, Sep 18, 2009 at 01:02, Glenn Morris <[email-masked]> wrote:

> ii) some files are missing. It turns out it is the non-compiled ones
> loaded after the setting of load-source-file-function. If this is
> non-nil, looks like Fload returns before running `after-load-functions'?

Stefan changed Fload so it now always calls do-after-load-evaluation,
even while dumping Emacs.

However, load-with-code-conversion (used for source files) still skips it:

      (unless purify-flag
 	(do-after-load-evaluation fullname))

    Juanma